Page MenuHomePhabricator

Set Topic namespace alias of zhwiki
Closed, ResolvedPublic

Description

Set Topic namespace (the Flow namespace name) alias of zhwiki to 话题 and 話題.

Chinese Wikipedia consensus about this task

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet Topic namespace alias of zhwiki

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptFeb 16 2018, 1:38 PM
MarcoAurelio claimed this task.EditedFeb 16 2018, 1:50 PM
MarcoAurelio added a subscriber: MarcoAurelio.

Do you mean the Flow namespace names?

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 16 2018, 1:50 PM
RazeSoldier added a comment.EditedFeb 16 2018, 1:56 PM

Do you mean the Flow namespace names?

Yes, 2600 that namespace.

RazeSoldier updated the task description. (Show Details)

@Jdforrester-WMF How do you prefer this handled, via Flow.namespaces.php or via an entry on wmf-config/InitialiseSettings? Thanks.

RazeSoldier added a comment.EditedFeb 18 2018, 7:31 AM

via Flow.namespaces.php or via an entry on wmf-config/InitialiseSettings

I am opposed to directly modify the code of Flow extension. Our consensus is to set an alias, not a real name. I created T185677 to discuss "set a Chinese real name".

wmf-config will be then. Thanks.

MarcoAurelio removed MarcoAurelio as the assignee of this task.Feb 18 2018, 12:01 PM

Removing myself as assignee as I'm short of time to SWAT this.

No problem, thank you. I can work it.

Change 412439 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[operations/mediawiki-config@master] Set Topic namespace alias of zhwiki

https://gerrit.wikimedia.org/r/412439

The patch will deploy in 2018-02-21 18:00–19:00 UTC.

Change 412439 merged by jenkins-bot:
[operations/mediawiki-config@master] Set Topic namespace alias of zhwiki

https://gerrit.wikimedia.org/r/412439

Mentioned in SAL (#wikimedia-operations) [2018-02-21T18:24:45Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:412439|Set Topic namespace alias of zhwiki]] T187546 (duration: 01m 13s)

RazeSoldier closed this task as Resolved.Feb 21 2018, 6:27 PM

The patch already deployed and test looks good.